classification
Title: Unnecessary line in documentation
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: Reid.Price, docs@python, python-dev, terry.reedy
Priority: normal Keywords: easy

Created on 2014-06-11 18:30 by Reid.Price, last changed 2014-06-13 18:59 by terry.reedy. This issue is now closed.

Messages (2)
msg220295 - (view) Author: Reid Price (Reid.Price) Date: 2014-06-11 18:30
https://docs.python.org/2/distutils/examples.html#pure-python-distribution-by-package

Chrome on Linux

The last (parenthetical) sentence is not needed.

  "(Again, the empty string in package_dir stands for the current directory.)"

because there is no package_dir option in the example.

<------------ Preceding Text ------------>
  ...

If you have sub-packages, they must be explicitly listed in packages, but any entries in package_dir automatically extend to sub-packages. (In other words, the Distutils does not scan your source tree, trying to figure out which directories correspond to Python packages by looking for __init__.py files.) Thus, if the default layout grows a sub-package:

<root>/
        setup.py
        foobar/
                 __init__.py
                 foo.py
                 bar.py
                 subfoo/
                           __init__.py
                           blah.py
then the corresponding setup script would be

from distutils.core import setup
setup(name='foobar',
      version='1.0',
      packages=['foobar', 'foobar.subfoo'],
      )

(Again, the empty string in package_dir stands for the current directory.)
msg220480 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-06-13 18:58
New changeset cd08e366d619 by Terry Jan Reedy in branch '2.7':
Issue #21726: Remove unnecessary and contextually wrong line.
http://hg.python.org/cpython/rev/cd08e366d619

New changeset efa32fcd7a0b by Terry Jan Reedy in branch '3.4':
Issue #21726: Remove unnecessary and contextually wrong line.
http://hg.python.org/cpython/rev/efa32fcd7a0b
History
Date User Action Args
2014-06-13 18:59:14terry.reedysetstatus: open -> closed
stage: resolved
resolution: fixed
versions: + Python 2.7, Python 3.4, Python 3.5
2014-06-13 18:58:36python-devsetnosy: + python-dev
messages: + msg220480
2014-06-13 18:34:09terry.reedysetassignee: docs@python -> terry.reedy

nosy: + terry.reedy
2014-06-12 20:08:32rhettingersetkeywords: + easy
2014-06-11 18:30:15Reid.Pricecreate